v_sditxss: xv_sditxss_log.c File Reference

| v_sditxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xv_sditxss_log.c File Reference

## Overview

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   jsr  07/17/17 Initial release.

## Functions
void | XV_SdiTxSs_LogReset (XV_SdiTxSs *InstancePtr)
| This function will reset the driver's logging mechanism. More...
void | XV_SdiTxSs_LogWrite (XV_SdiTxSs *InstancePtr, XV_SdiTxSs_LogEvent Evt, u8 Data)
| This function will insert an event in the driver's logginc mechanism. More...
u16 | XV_SdiTxSs_LogRead (XV_SdiTxSs *InstancePtr)
| This function will read the last event from the log. More...
void | XV_SdiTxSs_LogDisplay (XV_SdiTxSs *InstancePtr)
| This function will print the entire log. More...

## Function Documentation

void XV_SdiTxSs_LogDisplay | ( | XV_SdiTxSs * | InstancePtr | ) |

This function will print the entire log.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.

Returns
  None.

Note
  None.

References XV_SDITXSS_LOG_EVT_AXI4SVIDLOCK, XV_SDITXSS_LOG_EVT_CEALIGN, XV_SDITXSS_LOG_EVT_NONE, XV_SDITXSS_LOG_EVT_OVERFLOW, XV_SDITXSS_LOG_EVT_RESET, XV_SDITXSS_LOG_EVT_SDITX_INIT, XV_SDITXSS_LOG_EVT_START, XV_SDITXSS_LOG_EVT_STOP, XV_SDITXSS_LOG_EVT_STREAMDOWN, XV_SDITXSS_LOG_EVT_STREAMSTART, XV_SDITXSS_LOG_EVT_STREAMUP, XV_SDITXSS_LOG_EVT_UNDERFLOW, XV_SDITXSS_LOG_EVT_VTC_INIT, and XV_SdiTxSs_LogRead().

u16 XV_SdiTxSs_LogRead | ( | XV_SdiTxSs * | InstancePtr | ) |

This function will read the last event from the log.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.

Returns
  The log data.

Note
  None.

References XV_SdiTxSs_Log::DataBuffer, XV_SdiTxSs_Log::HeadIndex, XV_SdiTxSs::Log, and XV_SdiTxSs_Log::TailIndex.

Referenced by XV_SdiTxSs_LogDisplay().

void XV_SdiTxSs_LogReset | ( | XV_SdiTxSs * | InstancePtr | ) |

This function will reset the driver's logging mechanism.

Parameters

  InstancePtr | is a pointer to the xv_sditxss core instance.

Returns
  None.

Note
  None.

References XV_SdiTxSs_Log::HeadIndex, XV_SdiTxSs::Log, and XV_SdiTxSs_Log::TailIndex.

void XV_SdiTxSs_LogWrite | ( | XV_SdiTxSs * | InstancePtr,
|  | XV_SdiTxSs_LogEvent | Evt,
|  | u8 | Data
| ) |  |

This function will insert an event in the driver's logginc mechanism.

Parameters

  InstancePtr | is a pointer to the XV_SdiTxSs core instance.
  Evt | is the event type to log.
  Data | is the associated data for the event.

Returns
  None.

Note
  None.

References XV_SdiTxSs_Log::DataBuffer, XV_SdiTxSs_Log::HeadIndex, XV_SdiTxSs::Log, XV_SdiTxSs_Log::TailIndex, and XV_SDITXSS_LOG_EVT_DUMMY.

Referenced by XV_SdiTxSs_Stop(), XV_SdiTxSs_StreamConfig(), XV_SdiTxSs_StreamStart(), XV_SdiTxSs_SubcoreInitSdiTx(), and XV_SdiTxSs_SubcoreInitVtc().